Bug 1413934

Summary: rubygem-railties: FTBFS test_simple_failed_test
Product: [Fedora] Fedora Reporter: Jun Aruga <jaruga>
Component: rubygem-railtiesAssignee: Pavel Valena <pvalena>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: mmorsi, pvalena, strzibny, vondruch
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rubygem-railties-5.0.1-2.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-23 13:07:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jun Aruga 2017-01-17 11:09:27 UTC
Description of problem:

FTBFS

Version-Release number of selected component (if applicable):
rubygem-railties-5.0.1-1.fc26

How reproducible:

Steps to Reproduce:
1. $ fedpkg scratch-build --srpm
2.
3.

Actual results:

https://koji.fedoraproject.org/koji/taskinfo?taskID=17310823
https://kojipkgs.fedoraproject.org//work/tasks/823/17310823/build.log

* Test file: test/application/test_test.rb
...
Finished in 217.756894s, 0.0459 runs/s, 0.1607 assertions/s.
  1) Failure:
ApplicationTests::TestTest#test_simple_failed_test [test/application/test_test.rb:59]:
Expected false to be truthy.
10 runs, 35 assertions, 1 failures, 0 errors, 0 skips
xargs: sh: exited with status 255; aborting
error: Bad exit status from /var/tmp/rpm-tmp.galqc0 (%check)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.galqc0 (%check)
Child return code was: 1


Expected results:

The tests are succeeded.

Additional info:

1. Need this patch to fix it?
https://github.com/rails/rails/commit/29f0fbd5db643b885665e4a14c7de3bf6c0d9c96


2. 

On Rails upstream, master branch(146e9288001986cd3cfb2513ba8a606e00aeb61a), the tests are succeeded.

```
$ git checkout master
$ bundle install --path vendor/bundle
$ bundle exec ruby -Irailties/test railties/test/application/test_test.rb 
Run options: --seed 32919

# Running:

..........

Finished in 64.581322s, 0.1548 runs/s, 0.6503 assertions/s.

10 runs, 42 assertions, 0 failures, 0 errors, 0 skips
```

Comment 1 Pavel Valena 2017-01-19 16:32:23 UTC
Hello Jun,

this Failure is solved by https://github.com/rails/rails/pull/27739

I will soon build a new release with the remaining tests enabled.

Thanks!